# What is the .udt.json format?

The UDT JSON format is an [open-source format](https://github.com/UniversalDataTool/udt-format) for specifying human annotation tasks. For example, you might use the .udt.json format to store the labels and specification for transcribing audio or labeling images.&#x20;

{% hint style="info" %}
The UDT JSON format can be [converted to and from an equivalent CSV format](/the-format-.udt-json/what-is-the-.udt.csv-format.md) easily.
{% endhint %}

The basic structure of a UDT JSON file is this:

```javascript
{
    "interface": {
        "type": "<some_interface>"
        // ... more interface details
    },
    "samples": [
        { /* sample json object */ },
        // ...
    ]
}
```

Here's an example for an [image segmentation](/building-and-labeling-datasets/image-segmentation.md) dataset...

```javascript
{
  "interface": {
    "type": "image_segmentation",
    "labels": [
      {
        "id": "cat",
        "description": "Feline Mammal"
      },
      {
        "id": "dog",
        "description": "Canine Mammal"
      }
    ],
    "regionTypesAllowed": ["bounding-box"],
    "multipleRegions": true
  },
  "samples": [
    {
      "imageUrl": "https://media.gettyimages.com/photos/dog-and-cat-picture-id151350785"
    },
    {
      "imageUrl": "https://media.gettyimages.com/photos/guess-who-rules-the-roost-in-that-house-picture-id500927195"
    },
    {
      "imageUrl": "https://media.gettyimages.com/photos/she-simply-loves-animals-picture-id499806311"
    }
  ]
}
```

### Principles

The principles that drive the UDT format are...

* **Complete Specificity** such that no additional documents or conversations are required to perform the task.
* **Simplicity and Human Readability** so that datasets can be easily examined in the JSON format and understood
* **Specificity** such that no additional documents or conversations are required to start labeling


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.universaldatatool.com/the-format-.udt-json/what-is-the-.udt.json-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
